Subject: Re: draft-bryan-http-digest-algorithm-values-update-00 open issues

From: Anthony Bryan <[email-masked]>
Date: Wed, 7 Oct 2009 01:54:17 -0400

On Tue, Oct 6, 2009 at 7:19 PM, Alfred HÎnes <[email-masked]> wrote:
> draft-bryan-http-digest-algorithm-values-update-00 says:
>
>>  Known issues concerning this draft:
>>
>>  o  Current registry: MD5 lists both RFC1521 and RFC20456 for base64
>>     encoding.  Should this draft update it to refer to just one?
>
> Update: Yes.
> To one of these: Nope.
>   Use RFC 4648 for base64 outside the narrow scope of email/MIME !
>   (But triply cross-check the line length and folding requirements!)

Aha, I've replaced the old mention, thanks!

>>  o  Current registry: SHA link (
>>     http://csrc.nist.gov/fips/fip180-1.txt ) is no longer valid.
>>     Should this draft update it?
>
> Yes.  (Increase the utility of the registry for its users.)

Done.

>>  o  If we update SHA in the registry, should this draft refer to SHS
>>     or RFC3174?
>
> If you want to be conservative, use RFC 3174;
> otherwise point to the current version of the SHS, FIPS 180-3.
>
> Since the latter is a current standard, other WGs in the IETF
> now are used to quote FIPS 180-3, e.g. PKIX, SMIME, TLS, etc.
>
> Doing so has the additional benefit of re-using the citation
> needed for the SHA-2 family anyway, keeping the draft shorter!  :-)

Ok, went with the shorter option with one less citation. :)

> Btw: Can you avoid that weird line folding in the Ref. entry [SHS]:
>
> |                                                    <htt
> |   p://csrc.nist.gov/...

Yes, it bothered me too. That was xml2rfc, not sure why it was doing that.

-- 
(( Anthony Bryan ... Metalink [ http://www.metalinker.org ]
  )) Easier, More Reliable, Self Healing Downloads

---

From: Alfred Hönes <[email-masked]>
Date: Tue, 06 Oct 2009 23:21:16 +0000

Update: Yes.
To one of these: Nope.

|                                                    <htt
|   p://csrc.nist.gov/...

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: Anthony Bryan <[email-masked]>
Date: Fri, 9 Oct 2009 01:05:07 -0400

> Btw: Can you avoid that weird line folding in the Ref. entry [SHS]:

Alfred, thanks for the help. Your suggestions have been included in

http://tools.ietf.org/html/draft-bryan-http-digest-algorithm-values-update